forrest-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cross...@apache.org
Subject svn commit: r1452801 - /forrest/branches/update_cocoon_2.1.12/etc/cocoon_upgrade/build.xml
Date Tue, 05 Mar 2013 14:12:34 GMT
Author: crossley
Date: Tue Mar  5 14:12:34 2013
New Revision: 1452801

URL: http://svn.apache.org/r1452801
Log:
Adjust the targets for copying Cocoon libs. Forrest has some newer ones.
Issue: FOR-1240

Modified:
    forrest/branches/update_cocoon_2.1.12/etc/cocoon_upgrade/build.xml

Modified: forrest/branches/update_cocoon_2.1.12/etc/cocoon_upgrade/build.xml
URL: http://svn.apache.org/viewvc/forrest/branches/update_cocoon_2.1.12/etc/cocoon_upgrade/build.xml?rev=1452801&r1=1452800&r2=1452801&view=diff
==============================================================================
--- forrest/branches/update_cocoon_2.1.12/etc/cocoon_upgrade/build.xml (original)
+++ forrest/branches/update_cocoon_2.1.12/etc/cocoon_upgrade/build.xml Tue Mar  5 14:12:34
2013
@@ -53,23 +53,26 @@
       <fileset dir="${cocoon.home}/lib/core" defaultexcludes="yes">
         <!-- Exclude some that we don't need -->
         <exclude name="commons-beanutils-core-*.jar"/>
-        <exclude name="commons-javaflow-*.jar"/>
         <exclude name="excalibur-instrument-mgr-*.jar"/>
         <exclude name="javac*.jar"/>
         <exclude name="jdtcore-*.jar"/>
         <exclude name="js-*.jar"/>
-        <exclude name="nekohtml-*.jar"/>
-        <exclude name="pizza-*.jar"/>
-        <!-- OSGI not yet needed -->
-        <exclude name="knopflerfish-*.jar"/>
         <!-- FIXME: The jxpath upgrade cannot be done.
           See issue FOR-675 (and FOR-405 and FOR-303) and dev mail list.
           commons-jxpath-1.2 causes errors with "site:" links.
           We have a workaround so use Cocoon's jar.
         <exclude name="commons-jxpath-*.jar"/>
         -->
-        <!-- We have newer xml-commons-resolver -->
-        <exclude name="xml-commons-resolver-*.jar"/>
+        <!-- We have some jars that are newer than Cocoon -->
+        <exclude name="commons-cli-*.jar"/>
+        <exclude name="commons-collections-*.jar"/>
+        <exclude name="commons-io-*.jar"/>
+        <exclude name="commons-jxpath-*.jar"/>
+        <exclude name="commons-lang-*.jar"/>
+        <exclude name="commons-logging-*.jar"/>
+        <exclude name="ehcache-*.jar"/>
+        <exclude name="log4j-*.jar"/>
+        <exclude name="slf4j-api-*.jar"/>
         <!-- servlet.jar goes under tools/jetty -->
         <exclude name="servlet-*.jar"/>
       </fileset>
@@ -85,12 +88,9 @@
     <copy todir="${forrest.home}/lib/core" preservelastmodified="true">
       <fileset dir="${cocoon.home}/lib/optional">
         <include name="batik-all-*.jar"/>
-<!-- FIXME: Cocoon's FOP causes trouble FOR-    ###################
-        <include name="fop-*.jar"/>
--->
+        <include name="xmlgraphics-commons-*.jar"/>
         <include name="lucene-*.jar"/>
         <include name="jtidy-*.jar"/>
-        <include name="nekopull-*.jar"/>
 <!-- FIXME: Chaperon required by core #FOR-501 -->
         <include name="chaperon-*.jar"/>
       </fileset>
@@ -104,6 +104,9 @@
     <copy todir="${forrest.home}/plugins/org.apache.forrest.plugin.input.dtdx/lib" preservelastmodified="true">
       <fileset dir="${cocoon.home}/lib/optional" includes="nekodtd-*.jar"/>
     </copy>
+    <copy todir="${forrest.home}/plugins/org.apache.forrest.plugin.output.pdf/lib" preservelastmodified="true">
+      <fileset dir="${cocoon.home}/lib/optional" includes="fop-*.jar"/>
+    </copy>
   </target>
 
   <target name="copy-endorsed-libs" depends="init">



Mime
View raw message